package fr.jelora.minitel.enums;

public enum CodeCouleurCaractere {
	caractereNoir((byte)0x40),
	caractereRouge((byte)0x41),
	caractereVert((byte)0x42),
	caractereJaune((byte)0x43),
	caractereBleu((byte)0x44),
	caractereMagenta((byte)0x45),
	caractereCyan((byte)0x46),
	caractereBlanc((byte)0x47),
	caractereGris0((byte)0x40),
	caractereGris1((byte)0x44),
	caractereGris2((byte)0x41),
	caractereGris3((byte)0x45),
	caractereGris4((byte)0x42),
	caractereGris5((byte)0x46),
	caractereGris6((byte)0x43),
	caractereGris7((byte)0x47);
	
	private final byte byteCarac;
	
	private CodeCouleurCaractere(byte byteCarac){
		this.byteCarac = byteCarac;
	}
	
	public String toString(){
		return new String(new byte[] { byteCarac });
	}
}
