package fr.jelora.minitel.enums;

public enum TailleTexte {
	normal((byte) 0x4C),
	doubleHauteur((byte) 0x4D),
	doubleLargeur((byte) 0x4E),
	doubleHauteurEtLargeur((byte) 0x4F);

	private final byte byteCode;
	
	private TailleTexte(byte byteCode){
		this.byteCode = byteCode;
	}
	
	public String toString(){
		return new String(new byte[] { byteCode });
	}
}
