package fr.jelora.minitel.services.echecs;

public class PieceJeu {
	
	private TypePieceJeu typePieceJeu;
	private Camp camp;
	private boolean dejaDeplace;
	
	public PieceJeu(TypePieceJeu typePieceJeu, Camp camp){
		this.typePieceJeu = typePieceJeu;
		this.camp = camp;
		this.dejaDeplace = false;
	}
	
	public PieceJeu(TypePieceJeu typePieceJeu, Camp camp, boolean dejaDeplace){
		this.typePieceJeu = typePieceJeu;
		this.camp = camp;
		this.dejaDeplace = dejaDeplace;
	}
	
	public PieceJeu clone(){
		return new PieceJeu(this.typePieceJeu, this.camp, this.dejaDeplace);
	}
	
	public TypePieceJeu getTypePieceJeu() {
		return typePieceJeu;
	}
	
	public void setTypePieceJeu(TypePieceJeu typePieceJeu) {
		this.typePieceJeu = typePieceJeu;
	}

	public boolean isDejaDeplace() {
		return dejaDeplace;
	}

	public void setDejaDeplace(boolean dejaDeplace) {
		this.dejaDeplace = dejaDeplace;
	}
	
	public Camp getCamp() {
		return camp;
	}
	
	public void setCamp(Camp camp) {
		this.camp = camp;
	}
	
}
