package fr.jelora.minitel.enums;

public enum CodeCouleurDeFond {
	fondNoir((byte)0x50),
	fondRouge((byte)0x51),
	fondVert((byte)0x52),
	fondJaune((byte)0x53),
	fondBleu((byte)0x54),
	fondMagenta((byte)0x55),
	fondCyan((byte)0x56),
	fondBlanc((byte)0x57),
	
	fondGris0((byte)0x50),
	fondGris1((byte)0x54),
	fondGris2((byte)0x51),
	fondGris3((byte)0x55),
	fondGris4((byte)0x52),
	fondGris5((byte)0x56),
	fondGris6((byte)0x53),
	fondGris7((byte)0x57);
	
	
	
	private final byte byteCarac;
	
	private CodeCouleurDeFond(byte byteCarac){
		this.byteCarac = byteCarac;
	}
	
	public String toString(){
		return new String(new byte[] { byteCarac });
	}
}
