package fr.jelora.minitel.enums;

public enum ModeEcran {
	page(new CodeSpecifique[] { CodeSpecifique.PRO2, CodeSpecifique.STOP, CodeSpecifique.ROULEAU }),
	rouleau(new CodeSpecifique[] { CodeSpecifique.PRO2, CodeSpecifique.START, CodeSpecifique.ROULEAU }),
	colonnes40(new CodeSpecifique[] { CodeSpecifique.PRO2, CodeSpecifique.MIXTE2 }),
	colonnes80(new CodeSpecifique[] { CodeSpecifique.PRO2, CodeSpecifique.MIXTE1 });

	private final CodeSpecifique[] codesSpecifiques;
	
	private ModeEcran(CodeSpecifique[] codesSpecifiques){
		this.codesSpecifiques = codesSpecifiques;
	}
	
	public CodeSpecifique[] getCodesSpecifiques() {
		return codesSpecifiques;
	}
}
