package fr.jelora.minitel.enums;

public enum ToucheClavier {
	ImprStart(TypeToucheClavier.Autre, new byte[] { 0x13, 'T', 0x13, '\\' }),
	ImprEnd(TypeToucheClavier.Autre, new byte[] { 0x13, '\\', 0x13, 'T' }),
	CopieEcran(TypeToucheClavier.Autre, new byte[] { 0x13, 0x5c }),
	ConnexionFin(TypeToucheClavier.Fonction, new byte[] { 0x13, 'I' }),
	Sommaire(TypeToucheClavier.Fonction, new byte[] { 0x13, 'F' }),
	Guide(TypeToucheClavier.Fonction, new byte[] { 0x13, 'D' }),
	Annulation(TypeToucheClavier.Fonction, new byte[] { 0x13, 'E' }),
	Correction(TypeToucheClavier.Fonction, new byte[] { 0x13, 'G' }),
	Retour(TypeToucheClavier.Fonction, new byte[] { 0x13, 'B' }),
	Suite(TypeToucheClavier.Fonction, new byte[] { 0x13, 'H' }),
	Repetition(TypeToucheClavier.Fonction, new byte[] { 0x13, 'C' }),
	Envoi(TypeToucheClavier.Fonction, new byte[] { 0x13, 'A' }),
	Entree(TypeToucheClavier.Fonction, new byte[] { 0x0d }),
	Break(TypeToucheClavier.Fonction, new byte[] { 0x00 }),
	Del(TypeToucheClavier.Fonction, new byte[] { 0x7f }),
	ToucheHaut(TypeToucheClavier.Fonction, new byte[] { 0x1b, '[', 'A' }),
	ToucheBas(TypeToucheClavier.Fonction, new byte[] { 0x1b, '[', 'B' }),
	ToucheGauche(TypeToucheClavier.Fonction, new byte[] { 0x1b, '[', 'D' }),
	ToucheDroite(TypeToucheClavier.Fonction, new byte[] { 0x1b, '[', 'C' }),
	A(TypeToucheClavier.Caractere, new byte[] { 'A' }),
	B(TypeToucheClavier.Caractere, new byte[] { 'B' }),
	C(TypeToucheClavier.Caractere, new byte[] { 'C' }),
	D(TypeToucheClavier.Caractere, new byte[] { 'D' }),
	E(TypeToucheClavier.Caractere, new byte[] { 'E' }),
	F(TypeToucheClavier.Caractere, new byte[] { 'F' }),
	G(TypeToucheClavier.Caractere, new byte[] { 'G' }),
	H(TypeToucheClavier.Caractere, new byte[] { 'H' }),
	I(TypeToucheClavier.Caractere, new byte[] { 'I' }),
	J(TypeToucheClavier.Caractere, new byte[] { 'J' }),
	K(TypeToucheClavier.Caractere, new byte[] { 'K' }),
	L(TypeToucheClavier.Caractere, new byte[] { 'L' }),
	M(TypeToucheClavier.Caractere, new byte[] { 'M' }),
	N(TypeToucheClavier.Caractere, new byte[] { 'N' }),
	O(TypeToucheClavier.Caractere, new byte[] { 'O' }),
	P(TypeToucheClavier.Caractere, new byte[] { 'P' }),
	Q(TypeToucheClavier.Caractere, new byte[] { 'Q' }),
	R(TypeToucheClavier.Caractere, new byte[] { 'R' }),
	S(TypeToucheClavier.Caractere, new byte[] { 'S' }),
	T(TypeToucheClavier.Caractere, new byte[] { 'T' }),
	U(TypeToucheClavier.Caractere, new byte[] { 'U' }),
	V(TypeToucheClavier.Caractere, new byte[] { 'V' }),
	W(TypeToucheClavier.Caractere, new byte[] { 'W' }),
	X(TypeToucheClavier.Caractere, new byte[] { 'X' }),
	Y(TypeToucheClavier.Caractere, new byte[] { 'Y' }),
	Z(TypeToucheClavier.Caractere, new byte[] { 'Z' }),
	a(TypeToucheClavier.Caractere, new byte[] { 'a' }),
	b(TypeToucheClavier.Caractere, new byte[] { 'b' }),
	c(TypeToucheClavier.Caractere, new byte[] { 'c' }),
	d(TypeToucheClavier.Caractere, new byte[] { 'd' }),
	e(TypeToucheClavier.Caractere, new byte[] { 'e' }),
	f(TypeToucheClavier.Caractere, new byte[] { 'f' }),
	g(TypeToucheClavier.Caractere, new byte[] { 'g' }),
	h(TypeToucheClavier.Caractere, new byte[] { 'h' }),
	i(TypeToucheClavier.Caractere, new byte[] { 'i' }),
	j(TypeToucheClavier.Caractere, new byte[] { 'j' }),
	k(TypeToucheClavier.Caractere, new byte[] { 'k' }),
	l(TypeToucheClavier.Caractere, new byte[] { 'l' }),
	m(TypeToucheClavier.Caractere, new byte[] { 'm' }),
	n(TypeToucheClavier.Caractere, new byte[] { 'n' }),
	o(TypeToucheClavier.Caractere, new byte[] { 'o' }),
	p(TypeToucheClavier.Caractere, new byte[] { 'p' }),
	q(TypeToucheClavier.Caractere, new byte[] { 'q' }),
	r(TypeToucheClavier.Caractere, new byte[] { 'r' }),
	s(TypeToucheClavier.Caractere, new byte[] { 's' }),
	t(TypeToucheClavier.Caractere, new byte[] { 't' }),
	u(TypeToucheClavier.Caractere, new byte[] { 'u' }),
	v(TypeToucheClavier.Caractere, new byte[] { 'v' }),
	w(TypeToucheClavier.Caractere, new byte[] { 'w' }),
	x(TypeToucheClavier.Caractere, new byte[] { 'x' }),
	y(TypeToucheClavier.Caractere, new byte[] { 'y' }),
	z(TypeToucheClavier.Caractere, new byte[] { 'z' }),
	Chiffre0(TypeToucheClavier.Caractere, new byte[] { '0' }),
	Chiffre1(TypeToucheClavier.Caractere, new byte[] { '1' }),
	Chiffre2(TypeToucheClavier.Caractere, new byte[] { '2' }),
	Chiffre3(TypeToucheClavier.Caractere, new byte[] { '3' }),
	Chiffre4(TypeToucheClavier.Caractere, new byte[] { '4' }),
	Chiffre5(TypeToucheClavier.Caractere, new byte[] { '5' }),
	Chiffre6(TypeToucheClavier.Caractere, new byte[] { '6' }),
	Chiffre7(TypeToucheClavier.Caractere, new byte[] { '7' }),
	Chiffre8(TypeToucheClavier.Caractere, new byte[] { '8' }),
	Chiffre9(TypeToucheClavier.Caractere, new byte[] { '9' }),
	Espace(TypeToucheClavier.Caractere, new byte[] { ' ' }),
	Etoile(TypeToucheClavier.Caractere, new byte[] { '*' }),
	Diese(TypeToucheClavier.Caractere, new byte[] { '#' }),
	Virgule(TypeToucheClavier.Caractere, new byte[] { ',' }),
	Point(TypeToucheClavier.Caractere, new byte[] { '.' }),
	Apostrophe(TypeToucheClavier.Caractere, new byte[] { '\'' }),
	PointVirgule(TypeToucheClavier.Caractere, new byte[] { ';' }),
	Tiret(TypeToucheClavier.Caractere, new byte[] { '-' }),
	DeuxPoints(TypeToucheClavier.Caractere, new byte[] { ':' }),
	PointDInterrogation(TypeToucheClavier.Caractere, new byte[] { '?' }),
	Inferieur(TypeToucheClavier.Caractere, new byte[] { '<' }),
	Superieur(TypeToucheClavier.Caractere, new byte[] { '>' }),
	Arobase(TypeToucheClavier.Caractere, new byte[] { '@' }),
	Plus(TypeToucheClavier.Caractere, new byte[] { '+' }),
	Egal(TypeToucheClavier.Caractere, new byte[] { '=' }),
	Slash(TypeToucheClavier.Caractere, new byte[] { '/' }),
	PointDEclamation(TypeToucheClavier.Caractere, new byte[] { '!' }),
	Guillemet(TypeToucheClavier.Caractere, new byte[] { '"' }),
	Dollar(TypeToucheClavier.Caractere, new byte[] { '$' }),
	Pourcent(TypeToucheClavier.Caractere, new byte[] { '%' }),
	EtCommercial(TypeToucheClavier.Caractere, new byte[] { '&' }),
	ParentheseOuverture(TypeToucheClavier.Caractere, new byte[] { '(' }),
	ParentheseFermeture(TypeToucheClavier.Caractere, new byte[] { ')' }),
	CrochetOuverture(TypeToucheClavier.Caractere, new byte[] { '[' }),
	CrochetFermeture(TypeToucheClavier.Caractere, new byte[] { ']' }),
	FlecheVersLeHaut(TypeToucheClavier.Caractere, new byte[] { '^' }),
	AntiSlash(TypeToucheClavier.Caractere, new byte[] { '\\' }),
	AccentCirconflexe(TypeToucheClavier.Caractere, new byte[] { 0x19, 'C' }),
	AccentAigu(TypeToucheClavier.Caractere, new byte[] { 0x19, 'B' }),
	AccentGrave(TypeToucheClavier.Caractere, new byte[] { 0x19, 'A' }),
	AccoladeOuverture(TypeToucheClavier.Caractere, new byte[] { '{' }),
	AccoladeFermeture(TypeToucheClavier.Caractere, new byte[] { '}' }),
	AccentTrema(TypeToucheClavier.Caractere, new byte[] { 0x19, 'H' }),
	SymboleParagraphe(TypeToucheClavier.Caractere, new byte[] { 0x19, '\'' }),
	Livre(TypeToucheClavier.Caractere, new byte[] { 0x19, 0x23 }),
	Cedille(TypeToucheClavier.Caractere, new byte[] { 0x19, 0x4b }),
	oeMaj(TypeToucheClavier.Caractere, new byte[] { 0x19, 0x6a }),
	oeMin(TypeToucheClavier.Caractere, new byte[] { 0x19, 0x7a }),
	bAllemand(TypeToucheClavier.Caractere, new byte[] { 0x19, 0x7b });
	
	private TypeToucheClavier typeToucheClavier;
	private final byte[] byteArrayCode;
	
	private ToucheClavier(TypeToucheClavier typeToucheClavier, byte[] byteArrayCode){
		this.typeToucheClavier = typeToucheClavier;
		this.byteArrayCode = byteArrayCode;
	}
	
	public String toString(){
		return new String(byteArrayCode);
	}
	
	public TypeToucheClavier getTypeToucheClavier() {
		return typeToucheClavier;
	}

	public byte[] toByteArray(){
		return byteArrayCode;
	}
}
